Subject: RE: [newtrk] one size fits all vs two-step

From: "Robert Snively" <[email-masked]>
Date: Tue, 2 Aug 2005 09:24:18 -0700

Interoperability is related to the clarity and completeness of
a specification/RFC/standard.  However, it is even more dependent
on the faithful implementation of that standard.  It seems to me
that interoperability would be more effectively achieved by taking
advantage of certification and testing mechanisms separate from the 
path of standards development rather than using a two-step 
standards creation process.

One example would be the development of standards and specifications
specifying conformance testing procedures, either from within
IETF or as part of the work product of IETF product marketing organizations.

Another example would be the use of monitored independent plugfests, such as
those held by the University of New Hampshire's Interoperability Laboratory
(http://www.iol.unh.edu/).

Since long-term stability and back compatibility of the internet
is clearly very important, that would be a key subject of such
monitored plugfests.

Clearly, such work will lead to the identification of mistakes and
unclear text in the standards, but that (as pointed out by
John Loughney) is easily remedied by revisions to the standard.

The overhauled website suggested by Bruce Lilly is an obvious mechanism
to maintain current information about the status of standards 
and the existence of on-going efforts to improve and revise
those standards that need revision.  It would also be the place that
would document the status and content of new standards being developed.

Robert Snively
+1 408 333 8135
[email-masked] 

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Spencer Dawkins
> Sent: Monday, August 01, 2005 12:45 AM
> To: [email-masked]
> Subject: Re: [newtrk] one size fits all vs two-step
> 
> 
> > I read both draft-loughney-newtrk-one-size-fits-all-00.txt and
> > draft-carpenter-newtrk-twostep-00.txt.
> >
> > I like twostep much more, because it still includes a notion that 
> > obtaining
> > interoperability information is important, and if a spec has
> > knobs which aren't used or or implemented, at least the fact should 
> > be
> > documented if those can't be reasonably removed.
> 
> This would not be unreasonable, if we made more effort to obtain and 
> document interoperability information.
> 
> My problem with the current process is that it is engineered for the 
> case which is not the common case - count PS, count DS and count IS, 
> for a proof of this.
> 
> We could change the current process in more than one way - I've 
> proposed three versions so far, since 2003. Meanwhile, 2026 
> still says 
> what it says.
> 
> I would really like to change it to what we are actually doing, 
> whatever that is. If we change it to what we WILL be doing in the 
> future, that could be lovely, too.
> 
> Spencer
> 
> 
> 
> .
> newtrk resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> 
> 

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 03 Aug 2005 14:27:07 +0200

I think you'll find that the interop reports posted
at http://www.ietf.org/IESG/implementation.html often
do derive from such efforts. But the IETF itself doesn't
get into the certification or conformance business. We
don't have enough lawyers or insurance for that.

    Brian

.